Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class NodeTemplates.NodeTemplateDescriptor

    java.lang.Object
      org.apache.batik.apps.svgbrowser.NodeTemplates.NodeTemplateDescriptor

Enclosing class:
  NodeTemplates

    public static class NodeTemplates.NodeTemplateDescriptor

extends Object

Wrapper for a node template. Provides the information on the node

Constructor Summary
`NodeTemplates.NodeTemplateDescriptor(String name, String xmlValue, short type, String category, String description)` Constructor.

Method Summary
`String` | `getCategory()`
`String` | `getDescription()`
`String` | `getName()`
`short` | `getType()`
`String` | `getXmlValue()`
`void` | `setCategory(String category)`
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`void` | `setType(short type)`
`void` | `setXmlValue(String xmlValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeTemplates.NodeTemplateDescriptor

    public NodeTemplates.NodeTemplateDescriptor(String name,
                                                String xmlValue,
                                                short type,
                                                String category,
                                                String description)

  Constructor.

Method Detail

### getCategory

    public String getCategory()

### setCategory

    public void setCategory(String category)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getName

    public String getName()

### setName

    public void setName(String name)

### getType

    public short getType()

### setType

    public void setType(short type)

### getXmlValue

    public String getXmlValue()

### setXmlValue

    public void setXmlValue(String xmlValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.